summaryrefslogtreecommitdiffstats
path: root/test/test_perltidy
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:36:25 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:36:25 +0000
commit6077d258b500b20e1e705f5cda567400240c7804 (patch)
treea5d41c050bd69f91476994b0d30c0a8f1e7957b5 /test/test_perltidy
parentInitial commit. (diff)
downloaddevscripts-6077d258b500b20e1e705f5cda567400240c7804.tar.xz
devscripts-6077d258b500b20e1e705f5cda567400240c7804.zip
Adding upstream version 2.21.3+deb11u1.upstream/2.21.3+deb11u1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xtest/test_perltidy39
1 files changed, 39 insertions, 0 deletions
diff --git a/test/test_perltidy b/test/test_perltidy
new file mode 100755
index 0000000..cba952c
--- /dev/null
+++ b/test/test_perltidy
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+set -u
+
+base="$(readlink -f "${0%/*}"/..)"
+
+
+# perltidy test is ran only during dev
+if test "$(cd "$base" && dpkg-parsechangelog -c0 -SDistribution)" != UNRELEASED; then
+ echo "SKIP: Not checking a released version with perltidy."
+ exit 0
+fi
+
+# perltidy test isn't ran in autopkgtest environment
+if test "${1:-}" = --installed; then
+ echo "SKIP: Not running perltidy in autopkgtest."
+ exit 0
+fi
+
+# Don't run this test with old Perltidy versions
+if test "$(perl -MPerl::Tidy -le 'print $Perl::Tidy::VERSION')" -lt 20200110; then
+ echo "SKIP: perltidy version too old, skipping this test."
+ exit 0
+fi
+
+
+testPerltidy() {
+ LIST=$(find "$base/lib/" "$base/scripts/" -iname '*.pl' -or -iname '*.pm')
+
+ for file in $LIST; do
+ perltidy --output-path="$SHUNIT_TMPDIR/" --profile="$base/.perltidyrc" "$file"
+ cmp -s "$file" "$SHUNIT_TMPDIR/$(basename "$file").tdy"
+ retval=$?
+ assertEquals "## $file isn't following perltidy" 0 "$retval"
+ done
+
+}
+
+. shunit2